Package: io.vertx.groovy.ext.web.handler

## [Groovy] Class FaviconHandler

- io.vertx.groovy.ext.web.handler.FaviconHandler

- All Implemented Interfaces and Traits:
    io.vertx.core.Handler

      @groovy.transform.CompileStatic
      class FaviconHandler
      extends java.lang.Object

  A handler that serves favicons.

  If no file system path is specified it will attempt to serve a resource called `favicon.ico` from the classpath.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FaviconHandler (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static FaviconHandler` | `create()` Create a handler with defaults
    `static FaviconHandler` | `create(java.lang.String path)` Create a handler attempting to load favicon file from the specified path
    `static FaviconHandler` | `create(java.lang.String path, long maxAgeSeconds)` Create a handler attempting to load favicon file from the specified path, and with the specified max cache time
    `static FaviconHandler` | `create(long maxAgeSeconds)` Create a handler with the specified max cache time
    `java.lang.Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### FaviconHandler(java.lang.Object delegate)

  - ### Method Detail

    - #### static FaviconHandler create()

      Create a handler with defaults

      Returns:
        the handler

    - #### static FaviconHandler create(java.lang.String path)

      Create a handler attempting to load favicon file from the specified path

      Returns:
        the handler
      Parameters:
        `path` - the path

    - #### static FaviconHandler create(java.lang.String path, long maxAgeSeconds)

      Create a handler attempting to load favicon file from the specified path, and with the specified max cache time

      Returns:
        the handler
      Parameters:
        `path` - the path
        `maxAgeSeconds` - max how long the file will be cached by browser, in seconds

    - #### static FaviconHandler create(long maxAgeSeconds)

      Create a handler with the specified max cache time

      Returns:
        the handler
      Parameters:
        `maxAgeSeconds` - max how long the file will be cached by browser, in seconds

    - #### java.lang.Object getDelegate()

    - #### void handle(RoutingContext arg0)